import request from '@/utils/request'

// 创建配置类型
export function createBaseType(data) {
  return request({
    url: '/conf/baseType/create',
    method: 'post',
    data: data
  })
}

// 更新配置类型
export function updateBaseType(data) {
  return request({
    url: '/conf/baseType/update',
    method: 'put',
    data: data
  })
}

// 删除配置类型
export function deleteBaseType(id) {
  return request({
    url: '/conf/baseType/delete?id=' + id,
    method: 'delete'
  })
}

// 获得配置类型
export function getBaseType(id) {
  return request({
    url: '/conf/baseType/get?id=' + id,
    method: 'get'
  })
}

// 获得配置类型列表
export function getBaseTypeList(params) {
  return request({
    url: '/conf/baseType/list',
    method: 'get',
    params
  })
}
// 导出配置类型 Excel
export function exportBaseTypeExcel(params) {
  return request({
    url: '/conf/baseType/export-excel',
    method: 'get',
    params,
    responseType: 'blob'
  })
}
